function [y] = opt_plot_2(x)
x = -10:.1:10; 

% 1 x0=-x+5; x1=-2*x + 4; x2=-x/2 + 2; x00 = x;
% 2 x0=-2*x + 5; x1=-2*x + 4; x2=-x/2 + 2; x00 = x/2;
% 3 x0=-x; x1=-x; x2=-x/2 + 2; x00 = -x;
x0=-x+3; x1=2*x+1; x2=x/2-1; x00 = x;

plot(x,x0,x,x00,x,x1,x,x2); xlabel('X_1'); ylabel('X_2');

% 1 title('jedno optymalne rozwiazanie'); set(gca,'XLim',[0 6],'YLim',[0 6]); 
% 2 title('nieskonczenie wiele rozwiazan na zbiorze ograniczonym'); set(gca,'XLim',[0 6],'YLim',[0 6]);
% 3 title('nieskonczenie wiele rozwiazan na zbiorze nieograniczonym'); set(gca,'XLim',[0 6],'YLim',[0 6]);
% 4 
title('sprzeczne'); set(gca,'XLim',[0 6],'YLim',[0 6]);



grid on

%annotation(gcf,'arrow',[0.3058 0.385],[0.3746 0.4738],'LineWidth',2,'HeadWidth',20,'HeadLength',20);

set(findobj(gca,'Type','line','Color',[0 0.75 0.75]),'Color','red')
set(findobj(gca,'Type','line','Color',[0 0 1]),'Color','blue','LineWidth',2)
set(findobj(gca,'Type','line','Color',[0 0.5 0]),'Color','blue','LineWidth',1,'LineStyle','--')
end